javax.batch.runtime

## Interface StepExecution

    public interface StepExecution

Provides a view of a step execution to the JobOperator.

### Method Summary

Methods
`BatchStatus` `getBatchStatus()` Get batch status of this step execution.
`Date` `getEndTime()` Get time this step ended.
`String` `getExitStatus()` Get exit status of step.
`Metric[]` `getMetrics()` Get step metrics.
`Serializable` `getPersistentUserData()` Get persistent user data.
`Date` `getStartTime()` Get time this step started.
`long` `getStepExecutionId()` Get unique id for this StepExecution.
`String` `getStepName()` Get step name.

### Method Detail

#### getStepExecutionId

    long getStepExecutionId()

Get unique id for this StepExecution.

Returns:
  StepExecution id

#### getStepName

    String getStepName()

Get step name.

Returns:
  value of 'id' attribute from <step>

#### getBatchStatus

    BatchStatus getBatchStatus()

Get batch status of this step execution.

Returns:
  batch status.

#### getStartTime

    Date getStartTime()

Get time this step started.

Returns:
  date (time)

#### getEndTime

    Date getEndTime()

Get time this step ended.

Returns:
  date (time)

#### getExitStatus

    String getExitStatus()

Get exit status of step.

Returns:
  exit status

#### getPersistentUserData

    Serializable getPersistentUserData()

Get persistent user data.

For a partitioned step, this returns the persistent user data of the `StepContext` of the "top-level" or main thread (the one the `PartitionAnalyzer`, etc. execute on). It does not return the persistent user data of the partition threads.

Returns:
  persistent data

#### getMetrics

    Metric[] getMetrics()

Get step metrics.

Returns:
  array of metrics

© Copyright IBM Corp. 2014
Licensed under the Apache License, Version 2.0